main {
  padding-top: 150px;
  padding-bottom: 160px;
  width: 100%;
}

section {
  width: 100%;
  max-width: 1240px;
  margin: 0 auto;
}

section h1 {
  font-size: 28px;
  font-weight: 700;
  margin-bottom: 60px;
  letter-spacing: -2%;
  text-align: center;
}

.event-selector {
  display: flex;
  margin-bottom: 40px;
}

.event-selector > div {
  flex: 1;
  padding-bottom: 16px;
  text-align: center;
  font-size: 16px;
  font-weight: 400;
  color: #666;
  border-bottom: 1px solid #d9d9d9;
  cursor: pointer;
}

.event-selector-selected {
  font-weight: 600 !important;
  color: #231f20 !important;
  border-color: #231f20 !important;
}

.event-list {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  gap: 20px;
}

.event-card {
  flex: 0 0 400px;
  background: #fff;
  border-radius: 0;
  display: flex;
  flex-direction: column;
  overflow: hidden;
  transition: box-shadow 0.2s;
  position: relative;
  cursor: pointer;
}

.event-card:hover {
}

.event-card-img {
  width: 400px;
  height: 480px;
  background-size: cover;
  background-position: center;
  position: relative;
  display: flex;
  align-items: flex-start;
  justify-content: center;
}

.event-card-img:hover {
  box-shadow: 0 0 16px 4px rgba(0, 0, 0, 0.18), 0 0 0 4px rgba(35, 31, 32, 0.08);
  transform: scale(1.03);
  z-index: 2;
}

.event-card-content {
  padding: 18px 0;
  gap: 0;
  background: #fff;
  min-height: 70px;
}
.event-card-content-left {
  display: flex;
  flex-direction: column;
  gap: 2px;
}
.event-card-content-right {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  justify-content: flex-end;
}
.event-card-title {
  font-size: 18px;
  font-weight: 700;
  color: #231f20;
  margin-bottom: 4px;
  position: static;
  text-align: left;
  z-index: 1;
}
.event-card-price {
  font-size: 16px;
  font-weight: 400;
  color: #222;
}
.event-card-date {
  font-size: 12px;
  color: #8b8b8b;
  margin-top: 0;
  margin-bottom: 2px;
  white-space: nowrap;
}

.event-card-line {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
}

@media (max-width: 768px) {
  main {
    padding-top: 120px;
    padding-bottom: 60px;
  }

  main h1 {
    margin-bottom: 16px;
    font-size: 20px;
  }

  .event-selector {
    margin-bottom: 20px;
  }

  .event-selector > div {
    font-size: 14px;
  }

  .event-list {
    padding: 0 16px;
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 8px;
  }

  .event-card-img {
    width: 100%;
    aspect-ratio: 4 / 5;
    height: auto;
  }

  .event-card-content {
    padding-top: 16px;
    padding-bottom: 12px;
  }
  .event-card-title {
    font-size: 14px;
    margin-bottom: 4px;
  }
  .event-card-price {
    font-size: 12px;
    margin-bottom: 8px;
  }
  .event-card-line {
    flex-direction: column;
    align-items: flex-start;
  }
  .event-card-date {
    font-size: 12px;
  }
}
